fuel-pump-inventories-sales-invoices-delete-one

Source

  • Repository: jef-systems/jef-fuel-pump-inventories-backend

  • Source Run ID: 24967078100

  • Source SHA: 1159f01c85f4a6aefdd03618419a726c3fc9edbb

  • Module: fuel-pump-inventories

  • Documentation Scope: async

  • Lambda: jef-fuel-pump-inventories-delete-17

Endpoint

  • API Name: jef-fuel-pump-inventories

  • Action Name: delete

  • Method: DELETE

  • Scope Label: Async

  • Resource Path: /fuel-pump-inventories-sales-invoices-delete-one

  • Complete Endpoint: https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-sales-invoices-delete-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fuel-pump-inventories-delete-17

  • curl payload mode: json_body

API Gateway Description

Function: jef-fuel-pump-inventories-delete-17
Module: jef-fuel-pump-inventories
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /fuel-pump-inventories-sales-invoices-delete-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-fuel-pump-inventories-sales-invoices

Payload Example:
- pk: sales-invoice-0001

Payload Schema:
- pk: id

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "sales-invoice-0001"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-sales-invoices-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"sales-invoice-0001\"}"

PowerShell curl

curl.exe -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-sales-invoices-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "sales-invoice-0001"}'